Reassign Item
- URL:https://<useritem-url>/reassign(POST only)
Description
The Reassign Item operation (POST only) allows the administrator of an organization to reassign a member's item to another member of the organization.
Request Parameters
|
Parameter |
Details |
|---|---|
| [Common Parameters] |
For a complete listing, see Common parameters. |
| targetUsername | The target username of the new owner of the item. Example: organization_username1 |
| targetFolderName | The destination folder for the item. If the item is to be moved to the root folder, specify the value as "/" (forward slash). If the target folder doesn't exist, it will be created automatically. Example: folder1 |
Response Properties
|
Property |
Details |
|---|---|
| success |
Indicates if the operation was successful. |
| itemId | The ID of the reassigned item. |
Example Usage
URL for Reassign Item
https://www.arcgis.com/sharing/rest/content/users/jsmith/items/b512083cd1b64e2da1d3f66dbb135956/reassign
targetUsername=swilson
targetFolderName=County Maps
JSON Response Syntax
{
"success": true | false,
"itemId": "<item id>"
}
JSON Response Example
{
"success": true,
"itemId": "b512083cd1b64e2da1d3f66dbb135956"
}